Bug 190583 - Review Request: perl-Test-Differences - Test strings and data structures and show differences if not ok
Review Request: perl-Test-Differences - Test strings and data structures and ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-05-03 15:06 EDT by Jose Pedro Oliveira
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-07 11:12:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2006-05-03 15:06:37 EDT
Spec URL:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-Test-Differences.spec

SRPM URL:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-Test-Differences-0.47-1.src.rpm

Description:
When the code you're testing returns multiple lines, records or data
structures and they're just plain wrong, an equivalent to the Unix
diff utility may be just what's needed.
Comment 1 Jason Tibbitts 2006-05-06 21:52:57 EDT
Things build OK and the test suite says that it passes, but test 01text_vs_data
is really noisy and looks like it should be failing.  I'm guessing it's just
stray output from the test.

* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written, uses macros consistently, and
follows the Perl specfile template.
* license field matches the actual license.
* license is open source-compatible.  It's not included separately in the
package, but this is not necessary as the upstream tarball does not include it.
* source files match upstream:
   e4fa76bb11b0d1db2d4213390413f5af  Test-Differences-0.47.tar.gz
   e4fa76bb11b0d1db2d4213390413f5af  Test-Differences-0.47.tar.gz-srpm
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane.
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass:
   All tests successful.
   Files=7, Tests=23,  1 wallclock secs ( 0.22 cusr +  0.08 csys =  0.30 CPU)
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED
Comment 2 Jose Pedro Oliveira 2006-05-06 22:21:14 EDT
Thanks for the review.

(In reply to comment #1)
> Things build OK and the test suite says that it passes, but test 01text_vs_data
> is really noisy and looks like it should be failing.  I'm guessing it's just
> stray output from the test.

The t/01text_vs_data.t tests are failing but as they are marked as TODO they
count as sucessful.

The TODO allows developers to start planning/creating new tests without having
to making them successful.  When they start passing they can be moved out of the
TODO blocks.  TODO tests that start passing are reported as "unexpected succeed".

Further information:
   http://perldoc.perl.org/Test/More.html#Conditional-tests
Comment 3 Jose Pedro Oliveira 2006-05-07 11:12:16 EDT
Imported and built for FC-4, FC-5, and devel.

Note You need to log in before you can comment on or make changes to this bug.